Subject: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu bar entry

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Nov 2022 16:16:37 +0200

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 18 Nov 2022 14:16:34 +0100
> 
> > display_menu_bar is supposed to update the metrics of the menu-bar
> > line, see the call to compute_line_metrics at its end.  Why doesn't it
> > happen?
> 
> Yes but it seems that this updating does not take place when the menu
> face is changed (not the whole frame face, though: this does work).  And
> the menu face, when changed, is displayed correctly, but the height of
> the window is not modified accordingly.

You mean, display_menu_bar is not called in that case?  If that is the
problem, we should look into the reason.  Perhaps some condition is
missing for when display_menu_bar is called from redisplay_window.